Name:           perl-Net-SCP
Version:        0.07
Release:        6%{?dist}
Summary:        Perl extension for secure copy protocol
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-SCP/
Source0:        http://www.cpan.org/authors/id/I/IV/IVAN/Net-SCP-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Net::SSH)
BuildRequires:  perl(String::ShellQuote)
Requires:       openssh-clients
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module implements a Perl interface to scp.

%prep
%setup -q -n Net-SCP-%{version}
chmod 644 Changes README SCP.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Apr 18 2007 Steven Pritchard <steve@kspei.com> 0.07-6
- BR ExtUtils::MakeMaker.

* Thu Nov 02 2006 Steven Pritchard <steve@kspei.com> 0.07-5
- Cleanup to more closely match cpanspec output.

* Mon Aug 27 2006 Michael J. Knox <michael[AT]knox.net.nz> - 0.07-4
- Rebuild for FC6

* Thu Jun 08 2006 Michael J. Knox <michael[AT]knox.net.nz> - 0.07-3
- rebuilt and spec clean.
 
* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sun Mar 14 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.07-0.fdr.1
- Update to 0.07.
- Reduce directory ownership bloat.

* Tue Jan 13 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.06-0.fdr.5
- Fix documentation and module permissions (#65).
- Run tests in the %%check section.

* Wed Oct 29 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.06-0.fdr.4
- Specfile cleanup.

* Sun Aug 31 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.06-0.fdr.3
- Install into vendor dirs.

* Sun May  4 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.06-0.fdr.2
- Own more dirs.

* Sat Mar 22 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.06-0.fdr.1
- Update to current Fedora guidelines.

* Sun Feb  9 2003 Ville Skyttä <ville.skytta at iki.fi> - 0.06-1.fedora.1
- First Fedora release.
